%define upstream_name    XML-Compile-WSDL11
%define upstream_version 3.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Create SOAP messages defined by WSDL 1.1
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report) >= 1.50.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(XML::Compile) >= 1.480.0
BuildRequires: perl(XML::Compile::Cache) >= 1.30.0
BuildRequires: perl(XML::Compile::SOAP11) >= 3.160.0
BuildArch:  noarch

%description
This module understands WSDL version 1.1. An WSDL file defines a set of
messages to be send and received over (SOAP) connections. This involves
encoding of the message to be send into XML, sending the message to the
server, collect the answer, and finally decoding the XML to Perl.

As end-user, you do not have to worry about the complex details of the
messages and the way to exchange them: it's all simple Perl for you. Also,
faults are handled automatically. The only complication you have to worry
about is to shape a nested HASH structure to the sending message structure.
XML::Compile::Schema/"Compilers" may help you.

When the definitions are spread over multiple files you will need to use
XML::Compile::WSDL11/"Extension" (wsdl) or
XML::Compile::Schema/"Administration" (additional schema's) explicitly.
Usually, interreferences between those files are broken. Often they
reference over networks (you should never trust). So, on purpose you *must
explicitly load* the files you need from local disk! (of course, it is
simple to find one-liners as work-arounds, but I will to tell you how!)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.50.0-2.mga6
+ Revision: 1035898
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.50.0-1.mga6
+ Revision: 1002338
- New version 3.05

* Sun Jan 10 2016 buchan <buchan> 3.40.0-1.mga6
+ Revision: 921025
- New version 3.04

* Mon Jun 22 2015 sander85 <sander85> 3.30.0-1.mga6
+ Revision: 838591
- update to 3.03

* Mon Dec 22 2014 buchan <buchan> 3.20.0-1.mga5
+ Revision: 804867
- imported package perl-XML-Compile-WSDL11


* Mon Dec 22 2014 cpan2dist 3.02-1mga
- initial mageia release, generated with cpan2dist
